Bug 61135 - running a program linked with libstdc++3.a causes a segmentation fault
running a program linked with libstdc++3.a causes a segmentation fault
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: libstdc++ (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-13 19:56 EST by Brad Smith
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 14:32:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2002-03-13 19:56:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
After updating my machine with gcc3/gcc3-c++/libgcc/libstdc++3/libstdc++3-
devel (version 3.0.4-1), any program that links in the c++ stl library crashes 
with a segmentation fault before entering "main()" function.

Version-Release number of selected component (if applicable):
3.0.4-1


How reproducible:
Always

Steps to Reproduce:
1. Create "Hello world" source file test.cpp that includes <iostream> and 
simply outputs string to std::cout and returns 0 from main()
2. gcc3 -c test.cpp
3. gcc3 -o test test.o -static -lstdc++
4. ./test

	

Actual Results:  Segmentation fault

Expected Results:  Output "Hello world"

Additional info:

If I link as 

gcc3 -o test test.o -lstdc++

everything works.  I am sure linking in the correct
libstdc++3.a lib (3.0.4-1)
Comment 1 Alan Cox 2002-12-15 14:32:52 EST
Seems fine in gcc 3.2, 3.0.4 was an experimental test compiler so won't be
getting updated

Note You need to log in before you can comment on or make changes to this bug.